Package org.apache.nutch.service

## Interface ConfManager

- All Known Implementing Classes:
    `ConfManagerImpl`

      public interface ConfManager

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `create​(NutchConfig nutchConfig)` |
    `void` | `delete​(String confId)` |
    `Configuration` | `get​(String confId)` |
    `Map<String,​String>` | `getAsMap​(String confId)` |
    `Set<String>` | `list()` |
    `void` | `setProperty​(String confId, String propName, String propValue)` |

- - ### Method Detail

    - #### get

          Configuration get​(String confId)

    - #### getAsMap

          Map<String,​String> getAsMap​(String confId)

    - #### setProperty

          void setProperty​(String confId,
                           String propName,
                           String propValue)

    - #### list

          Set<String> list()

    - #### create

          String create​(NutchConfig nutchConfig)

    - #### delete

          void delete​(String confId)